#ifndef GPIO_USERSPACE_ACCESS_LIBRARY
#define GPIO_USERSPACE_ACCESS_LIBRARY

#define MIS_GP0DIR                                                                   0x1801BD00
#define MIS_GP1DIR                                                                   0x1801BD04
#define MIS_GP2DIR                                                                   0x1801BD08
#define MIS_GP3DIR                                                                   0x1801BD0C
#define MIS_GP4DIR                                                                   0x1801BD10
#define MIS_GP0DATO                                                                  0x1801BD18
#define MIS_GP1DATO                                                                  0x1801BD1C
#define MIS_GP2DATO                                                                  0x1801BD20
#define MIS_GP3DATO                                                                  0x1801BD24
#define MIS_GP4DATO                                                                  0x1801BD28
#define MIS_GP0DATI                                                                  0x1801BD30
#define MIS_GP1DATI                                                                  0x1801BD34
#define MIS_GP2DATI                                                                  0x1801BD38
#define MIS_GP3DATI                                                                  0x1801BD3C
#define MIS_GP4DATI                                                                  0x1801BD40
#define MIS_GP0IE                                                                    0x1801BD48
#define MIS_GP1IE                                                                    0x1801BD4C
#define MIS_GP2IE                                                                    0x1801BD50
#define MIS_GP3IE                                                                    0x1801BD54
#define MIS_GP4IE                                                                    0x1801BD58
#define MIS_GP0DP                                                                    0x1801BD60
#define MIS_GP1DP                                                                    0x1801BD64
#define MIS_GP2DP                                                                    0x1801BD68
#define MIS_GP3DP                                                                    0x1801BD6C
#define MIS_GP4DP                                                                    0x1801BD70
#define MIS_GPDEB                                                                    0x1801BD78
#define MIS_GPDEB_1                                                                  0x1801BD7C
#define MIS_ISR_GP0A                                                                 0x1801BD80
#define MIS_ISR_GP1A                                                                 0x1801BD84
#define MIS_ISR_GP2A                                                                 0x1801BD88
#define MIS_ISR_GP3A                                                                 0x1801BD8C
#define MIS_ISR_GP4A                                                                 0x1801BD90
#define MIS_ISR_GP0D                                                                 0x1801BD9C
#define MIS_ISR_GP1D                                                                 0x1801BDA0
#define MIS_ISR_GP2D                                                                 0x1801BDA4
#define MIS_ISR_GP3D                                                                 0x1801BDA8
#define MIS_ISR_GP4D                                                                 0x1801BDAC
#define MIS_GP_INT_SEL                                                               0x1801BDB0
#define MIS_GPI_DATI                                                                 0x1801BDB8
#define MIS_GPI_GPIE                                                                 0x1801BDBC
#define MIS_GP_GPI_DP                                                                0x1801BDC0
#define MIS_ISR_GPI_A                                                                0x1801BDC4
#define MIS_ISR_GPI_DA                                                               0x1801BDC8

#define ISO_GPDIR                                                                    0x18061100
#define ISO_GPDIR_1                                                                  0x18061104
#define ISO_GPDIR_2                                                                  0x18061108
#define ISO_GPDATO                                                                   0x1806110C
#define ISO_GPDATO_1                                                                 0x18061110
#define ISO_GPDATO_2                                                                 0x18061114
#define ISO_GPDATI                                                                   0x18061118
#define ISO_GPDATI_1                                                                 0x1806111C
#define ISO_GPDATI_2                                                                 0x18061120
#define ISO_GPIE                                                                     0x18061124
#define ISO_GPIE_1                                                                   0x18061128
#define ISO_GPIE_2                                                                   0x1806112C
#define ISO_GPDP                                                                     0x18061130
#define ISO_GPDP_1                                                                   0x18061134
#define ISO_GPDP_2                                                                   0x18061138
#define ISO_GPDEB                                                                    0x1806113C
#define ISO_ISR_GP_ASSERT                                                            0x18061140
#define ISO_ISR_GP_ASSERT_1	                                                     0x18061144
#define ISO_ISR_GP_ASSERT_2                                                          0x18061148
#define ISO_ISR_GP_DEASSERT	                                                     0x1806114c
#define ISO_ISR_GP_DEASSERT_1                                                        0x18061150
#define ISO_ISR_GP_DEASSERT_2                                                        0x18061154

int getGPIO(int GPIO_NUM);
int setGPIO(int GPIO_NUM, int value);
int getISOGPIO(int ISOGPIO_NUM);
int setISOGPIO(int ISOGPIO_NUM, int value);
int getISOGPI(int ISOGPI_NUM);
int getGPI(int GPIO_NUM);
#endif
