/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2012 by C.K. Lai <cklai@realtek.com>
 *
 */

#ifndef __COPROC_H__
#define __COPROC_H__

#include "smp.h"

extern void coproc_putc(char c);
extern int coproc_handler(void);
extern int do_coprocessor_start(unsigned int coproc_bitmap);
extern int do_coprocessor_mem_test(unsigned int coproc_bitmap);

extern unsigned int cop_mtest_base;
extern unsigned int cop_mtest_size;
extern unsigned int cop_mtest_pattern;
extern unsigned int cop_mtest_iteration;
extern unsigned int cop_mtest_corebits;

#endif // __COPROC_H__
