/*
 * CreatePinmuxDriver
 * Total setting number: 191

 * Date: Apr  2 2018 13:59:01
 */

#include <common.h>
#include <asm/arch/io.h>
#include <platform_lib/board/pcb.h>

void PinMuxInit(void) {
	// PAD_NAME: pad_gpio_08_io 15
	rtd_maskl(0xB8000808, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_D10 << 4) | (RTD287O_BGA_19x19_PIN_D10_UP << 3) | (RTD287O_BGA_19x19_PIN_D10_PD << 2) |(RTD287O_BGA_19x19_PIN_D10_DS << 1) | (RTD287O_BGA_19x19_PIN_D10_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_D10 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // B: I2C3_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_09_io 16
	rtd_maskl(0xB8000808, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E10 << 4) | (RTD287O_BGA_19x19_PIN_E10_UP << 3) | (RTD287O_BGA_19x19_PIN_E10_PD << 2) |(RTD287O_BGA_19x19_PIN_E10_DS << 1) | (RTD287O_BGA_19x19_PIN_E10_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_E10 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // B: I2C3_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_10_io 17
	rtd_maskl(0xB8000808, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_D9 << 4) | (RTD287O_BGA_19x19_PIN_D9_UP << 3) | (RTD287O_BGA_19x19_PIN_D9_PD << 2) |(RTD287O_BGA_19x19_PIN_D9_DS << 1) | (RTD287O_BGA_19x19_PIN_D9_SR)) << 8));
	// PAD_NAME: pad_gpio_11_io 18
	rtd_maskl(0xB8000808, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_E9 << 4) | (RTD287O_BGA_19x19_PIN_E9_UP << 3) | (RTD287O_BGA_19x19_PIN_E9_PD << 2) |(RTD287O_BGA_19x19_PIN_E9_DS << 1) | (RTD287O_BGA_19x19_PIN_E9_SR)) << 0));
	// PAD_NAME: pad_gpio_12_io 19
	rtd_maskl(0xB800080C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_D8 << 4) | (RTD287O_BGA_19x19_PIN_D8_UP << 3) | (RTD287O_BGA_19x19_PIN_D8_PD << 2) |(RTD287O_BGA_19x19_PIN_D8_DS << 1) | (RTD287O_BGA_19x19_PIN_D8_SR)) << 24));
	// PAD_NAME: pad_gpio_13_io 20
	rtd_maskl(0xB800080C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E8 << 4) | (RTD287O_BGA_19x19_PIN_E8_UP << 3) | (RTD287O_BGA_19x19_PIN_E8_PD << 2) |(RTD287O_BGA_19x19_PIN_E8_DS << 1) | (RTD287O_BGA_19x19_PIN_E8_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_E8 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 2: VBY1_HTPD_src1,<I>
	// PAD_NAME: pad_gpio_16_io 23
	rtd_maskl(0xB8000810, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_D7 << 4) | (RTD287O_BGA_19x19_PIN_D7_UP << 3) | (RTD287O_BGA_19x19_PIN_D7_PD << 2) |(RTD287O_BGA_19x19_PIN_D7_DS << 1) | (RTD287O_BGA_19x19_PIN_D7_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_D7 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<2), ((0x0&0x3)<<2)); }; // 1: VBY1_LOCK_src0,<I>
	if (RTD287O_BGA_19x19_PIN_D7 == 0x7) { rtd_maskl(0xb8000cbc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 7: EPI_LOCK_src1,<I>
	if (RTD287O_BGA_19x19_PIN_D7 == 0x8) { rtd_maskl(0xb8000cbc, ~((0x3)<<6), ((0x1&0x3)<<6)); }; // 8: BOE_BCC_src1,<I/ODH>
	if (RTD287O_BGA_19x19_PIN_D7 == 0xA) { rtd_maskl(0xb8000cbc, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // A: iSP_SDLOCK_src2,<I>
	// PAD_NAME: pad_gpio_19_io 26
	rtd_maskl(0xB8000810, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_E7 << 4) | (RTD287O_BGA_19x19_PIN_E7_UP << 3) | (RTD287O_BGA_19x19_PIN_E7_PD << 2) |(RTD287O_BGA_19x19_PIN_E7_DS << 1) | (RTD287O_BGA_19x19_PIN_E7_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_E7 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x4&0x7)<<4)); }; // 3: ld_spi1_p4_sdi_src4,<I>
	// PAD_NAME: pad_gpio_20_io 27
	rtd_maskl(0xB8000814, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_F7 << 4) | (RTD287O_BGA_19x19_PIN_F7_UP << 3) | (RTD287O_BGA_19x19_PIN_F7_PD << 2) |(RTD287O_BGA_19x19_PIN_F7_DS << 1) | (RTD287O_BGA_19x19_PIN_F7_SR)) << 24));
	// PAD_NAME: pad_gpio_24_io 35
	rtd_maskl(0xB8000818, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_D6 << 4) | (RTD287O_BGA_19x19_PIN_D6_UP << 3) | (RTD287O_BGA_19x19_PIN_D6_PD << 2) |(RTD287O_BGA_19x19_PIN_D6_DS << 1) | (RTD287O_BGA_19x19_PIN_D6_SR)) << 24));
	// PAD_NAME: pad_gpio_25_io 36
	rtd_maskl(0xB8000818, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E6 << 4) | (RTD287O_BGA_19x19_PIN_E6_UP << 3) | (RTD287O_BGA_19x19_PIN_E6_PD << 2) |(RTD287O_BGA_19x19_PIN_E6_DS << 1) | (RTD287O_BGA_19x19_PIN_E6_SR)) << 16));
	// PAD_NAME: pad_gpio_26_io 37
	rtd_maskl(0xB8000818, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_D5 << 4) | (RTD287O_BGA_19x19_PIN_D5_UP << 3) | (RTD287O_BGA_19x19_PIN_D5_PD << 2) |(RTD287O_BGA_19x19_PIN_D5_DS << 1) | (RTD287O_BGA_19x19_PIN_D5_SR)) << 8));
	// PAD_NAME: pad_gpio_27_io 38
	rtd_maskl(0xB8000818, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_E5 << 4) | (RTD287O_BGA_19x19_PIN_E5_UP << 3) | (RTD287O_BGA_19x19_PIN_E5_PD << 2) |(RTD287O_BGA_19x19_PIN_E5_DS << 1) | (RTD287O_BGA_19x19_PIN_E5_SR)) << 0));
	// PAD_NAME: pad_gpio_28_io 39
	rtd_maskl(0xB800081C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_D4 << 4) | (RTD287O_BGA_19x19_PIN_D4_UP << 3) | (RTD287O_BGA_19x19_PIN_D4_PD << 2) |(RTD287O_BGA_19x19_PIN_D4_DS << 1) | (RTD287O_BGA_19x19_PIN_D4_SR)) << 24));
	// PAD_NAME: pad_gpio_29_io 40
	rtd_maskl(0xB800081C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E4 << 4) | (RTD287O_BGA_19x19_PIN_E4_UP << 3) | (RTD287O_BGA_19x19_PIN_E4_PD << 2) |(RTD287O_BGA_19x19_PIN_E4_DS << 1) | (RTD287O_BGA_19x19_PIN_E4_SR)) << 16));
	// PAD_NAME: pad_gpio_30_io 41
	rtd_maskl(0xB800081C, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_F6 << 4) | (RTD287O_BGA_19x19_PIN_F6_UP << 3) | (RTD287O_BGA_19x19_PIN_F6_PD << 2) |(RTD287O_BGA_19x19_PIN_F6_DS << 1) | (RTD287O_BGA_19x19_PIN_F6_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_F6 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: SPI_DO_src1,<I/O>,<HS>
	// PAD_NAME: pad_gpio_31_io 42
	rtd_maskl(0xB800081C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_F4 << 4) | (RTD287O_BGA_19x19_PIN_F4_UP << 3) | (RTD287O_BGA_19x19_PIN_F4_PD << 2) |(RTD287O_BGA_19x19_PIN_F4_DS << 1) | (RTD287O_BGA_19x19_PIN_F4_SR)) << 0));
	// PAD_NAME: bb_ai2l_apad 72
	rtd_maskl(0xB8000828, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_G6) << 28);
	if (RTD287O_BGA_19x19_PIN_G6 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit32,<I/O>
	// PAD_NAME: bb_ai2r_apad 73
	rtd_maskl(0xB8000828, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_H4) << 24);
	if (RTD287O_BGA_19x19_PIN_H4 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: MIS_GPIO_bit33,<I/O>
	// PAD_NAME: bb_ai3l_apad 74
	rtd_maskl(0xB8000828, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_H5) << 20);
	if (RTD287O_BGA_19x19_PIN_H5 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 2: SD_CD_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_H5 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // B: I2C4_SDA_src0,<I/O>
	if ((RTD287O_BGA_19x19_PIN_H5 == 0xF) || (RTD287O_BGA_19x19_PIN_H5 == 0xB)) { rtd_maskl(0xb8000828, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: GPI_EN
	// PAD_NAME: bb_ai3r_apad 75
	rtd_maskl(0xB8000828, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_H6) << 16);
	if (RTD287O_BGA_19x19_PIN_H6 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 2: SD_WP_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_H6 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // B: I2C4_SCL_src0,<I/O>
	if ((RTD287O_BGA_19x19_PIN_H6 == 0xF) || (RTD287O_BGA_19x19_PIN_H6 == 0xB)) { rtd_maskl(0xb8000828, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: GPI_EN
	// PAD_NAME: bb_aiol_apad 76
	rtd_maskl(0xB8000828, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_J6) << 12);
	if (RTD287O_BGA_19x19_PIN_J6 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit36,<I/O>
	// PAD_NAME: bb_aior_apad 77
	rtd_maskl(0xB8000828, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_K4) << 8);
	if (RTD287O_BGA_19x19_PIN_K4 == 0xA) { rtd_maskl(0xb80008d4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // A: DEMOD_DSC_22_src1,<I/O>
	if (RTD287O_BGA_19x19_PIN_K4 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: GPI_EN
	// PAD_NAME: bb_hpol_apad:BB_HPOL_APAD:2 83
	rtd_maskl(0xB800082C, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_J4) << 28);
	if (RTD287O_BGA_19x19_PIN_J4 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit38,<I/O>
	// PAD_NAME: bb_hpor_apad:BB_HPOR_APAD:2 86
	rtd_maskl(0xB800082C, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_J5) << 24);
	if (RTD287O_BGA_19x19_PIN_J5 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit39,<I/O>
	// PAD_NAME: vin_3p_apad 97
	rtd_maskl(0xB8000834, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_E3) << 20);
	if (RTD287O_BGA_19x19_PIN_E3 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit48,<I/O>
	// PAD_NAME: vin_y0n_apad 98
	rtd_maskl(0xB8000834, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_E2) << 16);
	if (RTD287O_BGA_19x19_PIN_E2 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit49,<I/O>
	// PAD_NAME: vin_4p_apad 99
	rtd_maskl(0xB8000834, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_F3) << 12);
	if (RTD287O_BGA_19x19_PIN_F3 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit50,<I/O>
	// PAD_NAME: vin_5p_apad 100
	rtd_maskl(0xB8000834, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_F2) << 8);
	if (RTD287O_BGA_19x19_PIN_F2 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit51,<I/O>
	// PAD_NAME: scart_fsw_0_apad 109
	rtd_maskl(0xB8000838, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_L4) << 28);
	if (RTD287O_BGA_19x19_PIN_L4 == 0x6) { rtd_maskl(0xb80008d4, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 6: DEMOD_DSC_IN_src1,<I>
	if (RTD287O_BGA_19x19_PIN_L4 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: GPI_EN
	// PAD_NAME: vin_10p_apad 111
	rtd_maskl(0xB8000838, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_F1) << 24);
	if (RTD287O_BGA_19x19_PIN_F1 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit53,<I/O>
	// PAD_NAME: vin_a0n_apad 112
	rtd_maskl(0xB8000838, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_G3) << 20);
	if (RTD287O_BGA_19x19_PIN_G3 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit54,<I/O>
	// PAD_NAME: vid_vdbs_apad 113
	rtd_maskl(0xB800083C, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_L6) << 24);
	if (RTD287O_BGA_19x19_PIN_L6 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit56,<I/O>
	// PAD_NAME: vid_vdac_apad 114
	rtd_maskl(0xB800083C, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_G1) << 28);
	if (RTD287O_BGA_19x19_PIN_G1 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit55,<I/O>
	// PAD_NAME: pad_gpio_57_io 156
	rtd_maskl(0xB8000840, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_M6 << 4) | (RTD287O_BGA_19x19_PIN_M6_UP << 3) | (RTD287O_BGA_19x19_PIN_M6_PD << 2) |(RTD287O_BGA_19x19_PIN_M6_DS << 1) | (RTD287O_BGA_19x19_PIN_M6_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_M6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // B: I2C2_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_58_io 157
	rtd_maskl(0xB8000840, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_M5 << 4) | (RTD287O_BGA_19x19_PIN_M5_UP << 3) | (RTD287O_BGA_19x19_PIN_M5_PD << 2) |(RTD287O_BGA_19x19_PIN_M5_DS << 1) | (RTD287O_BGA_19x19_PIN_M5_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_M5 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // B: I2C2_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_59_io 158
	rtd_maskl(0xB8000840, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_N3 << 4) | (RTD287O_BGA_19x19_PIN_N3_UP << 3) | (RTD287O_BGA_19x19_PIN_N3_PD << 2) |(RTD287O_BGA_19x19_PIN_N3_DS << 1) | (RTD287O_BGA_19x19_PIN_N3_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_N3 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // B: I2C1_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_60_io 159
	rtd_maskl(0xB8000840, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_N1 << 4) | (RTD287O_BGA_19x19_PIN_N1_UP << 3) | (RTD287O_BGA_19x19_PIN_N1_PD << 2) |(RTD287O_BGA_19x19_PIN_N1_DS << 1) | (RTD287O_BGA_19x19_PIN_N1_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_N1 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // B: I2C1_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_61_io 160
	rtd_maskl(0xB8000844, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_N2 << 4) | (RTD287O_BGA_19x19_PIN_N2_UP << 3) | (RTD287O_BGA_19x19_PIN_N2_PD << 2) |(RTD287O_BGA_19x19_PIN_N2_DS << 1) | (RTD287O_BGA_19x19_PIN_N2_SR)) << 24));
	// PAD_NAME: pad_gpio_73_io 175
	rtd_maskl(0xB8000850, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_P3 << 4) | (RTD287O_BGA_19x19_PIN_P3_UP << 3) | (RTD287O_BGA_19x19_PIN_P3_PD << 2) |(RTD287O_BGA_19x19_PIN_P3_DS << 1) | (RTD287O_BGA_19x19_PIN_P3_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_P3 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_DO_src0,<I/O>,<HS>
	if (RTD287O_BGA_19x19_PIN_P3 == 0x8) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x2&0x7)<<4)); }; // 8: ld_spi1_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_75_io 177
	rtd_maskl(0xB8000850, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_P2 << 4) | (RTD287O_BGA_19x19_PIN_P2_UP << 3) | (RTD287O_BGA_19x19_PIN_P2_PD << 2) |(RTD287O_BGA_19x19_PIN_P2_DS << 1) | (RTD287O_BGA_19x19_PIN_P2_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_P2 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 0: TP0_Data_bit6_src2,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_P2 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 1: TP2_CLK_src0,<I>,<HS>,<AND>
	if (RTD287O_BGA_19x19_PIN_P2 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_DI_src0,<I/O>,<HS>
	if (RTD287O_BGA_19x19_PIN_P2 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 3: ld_spi0_p3_sdo_src1,<I/O>
	// PAD_NAME: pad_gpio_76_io 178
	rtd_maskl(0xB8000850, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_R3 << 4) | (RTD287O_BGA_19x19_PIN_R3_UP << 3) | (RTD287O_BGA_19x19_PIN_R3_PD << 2) |(RTD287O_BGA_19x19_PIN_R3_DS << 1) | (RTD287O_BGA_19x19_PIN_R3_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_R3 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 0: TP0_Data_bit7_src2,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_R3 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP2_VAL_src0,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_R3 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 3: ld_spi0_p4_sdi_src1,<I>
	// PAD_NAME: pad_gpio_78_io 182
	rtd_maskl(0xB8000854, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_R1 << 4) | (RTD287O_BGA_19x19_PIN_R1_UP << 3) | (RTD287O_BGA_19x19_PIN_R1_PD << 2) |(RTD287O_BGA_19x19_PIN_R1_DS << 1) | (RTD287O_BGA_19x19_PIN_R1_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_R1 == 0x8) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x2&0x7)<<8)); }; // 8: ld_spi1_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_79_io 183
	rtd_maskl(0xB8000854, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_R2 << 4) | (RTD287O_BGA_19x19_PIN_R2_UP << 3) | (RTD287O_BGA_19x19_PIN_R2_PD << 2) |(RTD287O_BGA_19x19_PIN_R2_DS << 1) | (RTD287O_BGA_19x19_PIN_R2_SR)) << 8));
	// PAD_NAME: pad_gpio_80_io 184
	rtd_maskl(0xB8000854, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_N5 << 4) | (RTD287O_BGA_19x19_PIN_N5_UP << 3) | (RTD287O_BGA_19x19_PIN_N5_PD << 2) |(RTD287O_BGA_19x19_PIN_N5_DS << 1) | (RTD287O_BGA_19x19_PIN_N5_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_N5 == 0x4) { rtd_maskl(0xb80008d4, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 4: DEMOD_DSC_IN_src0,<I>
	// PAD_NAME: pad_gpio_81_io 185
	rtd_maskl(0xB8000858, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_N4 << 4) | (RTD287O_BGA_19x19_PIN_N4_UP << 3) | (RTD287O_BGA_19x19_PIN_N4_PD << 2) |(RTD287O_BGA_19x19_PIN_N4_DS << 1) | (RTD287O_BGA_19x19_PIN_N4_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_N4 == 0x4) { rtd_maskl(0xb80008d4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 4: DEMOD_DSC_22_src0,<I/O>
	// PAD_NAME: pad_st_gpio_02_io 210
	rtd_maskl(0xB8060200, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_N6 << 4) | (RTD287O_BGA_19x19_PIN_N6_UP << 3) | (RTD287O_BGA_19x19_PIN_N6_PD << 2) |(RTD287O_BGA_19x19_PIN_N6_DS << 1) | (RTD287O_BGA_19x19_PIN_N6_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_N6 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x0&0x7)<<8)); }; // 6: uart0_rxdi_src0,<I>
	if (RTD287O_BGA_19x19_PIN_N6 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x0&0x7)<<4)); }; // 7: uart1_rxdi_src0,<I>
	if (RTD287O_BGA_19x19_PIN_N6 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x0&0x7)<<0)); }; // 8: UARTRbus_RX_src0,<I>
	// PAD_NAME: pad_st_gpio_03_io 211
	rtd_maskl(0xB8060200, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_P4 << 4) | (RTD287O_BGA_19x19_PIN_P4_UP << 3) | (RTD287O_BGA_19x19_PIN_P4_PD << 2) |(RTD287O_BGA_19x19_PIN_P4_DS << 1) | (RTD287O_BGA_19x19_PIN_P4_SR)) << 0));
	// PAD_NAME: pad_st_gpio_04_io 212
	rtd_maskl(0xB8060204, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_P5 << 4) | (RTD287O_BGA_19x19_PIN_P5_UP << 3) | (RTD287O_BGA_19x19_PIN_P5_PD << 2) |(RTD287O_BGA_19x19_PIN_P5_DS << 1) | (RTD287O_BGA_19x19_PIN_P5_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_P5 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x2&0x3)<<12)); }; // A: I2S_IN_Data0_src2,<I>
	if (RTD287O_BGA_19x19_PIN_P5 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // B: I2C2_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_05_io 213
	rtd_maskl(0xB8060204, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_P6 << 4) | (RTD287O_BGA_19x19_PIN_P6_UP << 3) | (RTD287O_BGA_19x19_PIN_P6_PD << 2) |(RTD287O_BGA_19x19_PIN_P6_DS << 1) | (RTD287O_BGA_19x19_PIN_P6_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_P6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // B: I2C2_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_06_io 216
	rtd_maskl(0xB8060204, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_R4 << 4) | (RTD287O_BGA_19x19_PIN_R4_UP << 3) | (RTD287O_BGA_19x19_PIN_R4_PD << 2) |(RTD287O_BGA_19x19_PIN_R4_DS << 1) | (RTD287O_BGA_19x19_PIN_R4_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_R4 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // B: I2C5_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_07_io 217
	rtd_maskl(0xB8060204, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_R5 << 4) | (RTD287O_BGA_19x19_PIN_R5_UP << 3) | (RTD287O_BGA_19x19_PIN_R5_PD << 2) |(RTD287O_BGA_19x19_PIN_R5_DS << 1) | (RTD287O_BGA_19x19_PIN_R5_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_R5 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // B: I2C5_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_08_io 218
	rtd_maskl(0xB8060208, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_R6 << 4) | (RTD287O_BGA_19x19_PIN_R6_UP << 3) | (RTD287O_BGA_19x19_PIN_R6_PD << 2) |(RTD287O_BGA_19x19_PIN_R6_DS << 1) | (RTD287O_BGA_19x19_PIN_R6_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_R6 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // B: I2C0_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_09_io 219
	rtd_maskl(0xB8060208, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_T4 << 4) | (RTD287O_BGA_19x19_PIN_T4_UP << 3) | (RTD287O_BGA_19x19_PIN_T4_PD << 2) |(RTD287O_BGA_19x19_PIN_T4_DS << 1) | (RTD287O_BGA_19x19_PIN_T4_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_T4 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // B: I2C0_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_10_io 220
	rtd_maskl(0xB8060208, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_T5 << 4) | (RTD287O_BGA_19x19_PIN_T5_UP << 3) | (RTD287O_BGA_19x19_PIN_T5_PD << 2) |(RTD287O_BGA_19x19_PIN_T5_DS << 1) | (RTD287O_BGA_19x19_PIN_T5_SR)) << 8));
	// PAD_NAME: pad_st_gpio_11_io 221
	rtd_maskl(0xB8060208, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_T6 << 4) | (RTD287O_BGA_19x19_PIN_T6_UP << 3) | (RTD287O_BGA_19x19_PIN_T6_PD << 2) |(RTD287O_BGA_19x19_PIN_T6_DS << 1) | (RTD287O_BGA_19x19_PIN_T6_SR)) << 0));
	// PAD_NAME: lsadc11_apad 222
	rtd_maskl(0xB806023C, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_U4) << 28);
	if (RTD287O_BGA_19x19_PIN_U4 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: ISO_MIS_GPIO_bit12,<I/O>
	// PAD_NAME: lsadc10_apad 223
	rtd_maskl(0xB806023C, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_U5) << 24);
	if (RTD287O_BGA_19x19_PIN_U5 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit13,<I/O>
	// PAD_NAME: lsadc9_apad 224
	rtd_maskl(0xB806023C, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_U6) << 20);
	if (RTD287O_BGA_19x19_PIN_U6 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit14,<I/O>
	// PAD_NAME: lsadc8_apad 225
	rtd_maskl(0xB806023C, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_T1) << 16);
	if (RTD287O_BGA_19x19_PIN_T1 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit15,<I/O>
	// PAD_NAME: lsadc5_apad 226
	rtd_maskl(0xB806023C, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_T2) << 12);
	if (RTD287O_BGA_19x19_PIN_T2 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit16,<I/O>
	// PAD_NAME: lsadc0_apad 227
	rtd_maskl(0xB806023C, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_T3) << 8);
	if (RTD287O_BGA_19x19_PIN_T3 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit17,<I/O>
	// PAD_NAME: lsadc1_apad 228
	rtd_maskl(0xB8060240, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_U2) << 28);
	if (RTD287O_BGA_19x19_PIN_U2 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit18,<I/O>
	// PAD_NAME: lsadc2_apad 229
	rtd_maskl(0xB8060240, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_U3) << 24);
	if (RTD287O_BGA_19x19_PIN_U3 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit19,<I/O>
	// PAD_NAME: lsadc4_apad 230
	rtd_maskl(0xB8060240, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_V1) << 20);
	if (RTD287O_BGA_19x19_PIN_V1 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit20,<I/O>
	// PAD_NAME: lsadc6_apad 231
	rtd_maskl(0xB8060240, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_V2) << 16);
	if (RTD287O_BGA_19x19_PIN_V2 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit21,<I/O>
	// PAD_NAME: lsadc7_apad 232
	rtd_maskl(0xB8060240, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_V3) << 12);
	if (RTD287O_BGA_19x19_PIN_V3 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit22,<I/O>
	// PAD_NAME: pad_st_gpio_26_io 251
	rtd_maskl(0xB806020C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_W4 << 4) | (RTD287O_BGA_19x19_PIN_W4_UP << 3) | (RTD287O_BGA_19x19_PIN_W4_PD << 2) |(RTD287O_BGA_19x19_PIN_W4_DS << 1) | (RTD287O_BGA_19x19_PIN_W4_SR)) << 0));
	// PAD_NAME: pad_st_gpio_29_io 254
	rtd_maskl(0xB8060210, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_V7 << 4) | (RTD287O_BGA_19x19_PIN_V7_UP << 3) | (RTD287O_BGA_19x19_PIN_V7_PD << 2) |(RTD287O_BGA_19x19_PIN_V7_DS << 1) | (RTD287O_BGA_19x19_PIN_V7_SR)) << 8));
	// PAD_NAME: pad_st_gpio_30_io 255
	rtd_maskl(0xB8060210, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_W7 << 4) | (RTD287O_BGA_19x19_PIN_W7_UP << 3) | (RTD287O_BGA_19x19_PIN_W7_PD << 2) |(RTD287O_BGA_19x19_PIN_W7_DS << 1) | (RTD287O_BGA_19x19_PIN_W7_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_W7 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x3&0x7)<<8)); }; // 6: uart0_rxdi_src3,<I>
	if (RTD287O_BGA_19x19_PIN_W7 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x3&0x7)<<4)); }; // 7: uart1_rxdi_src3,<I>
	if (RTD287O_BGA_19x19_PIN_W7 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x3&0x7)<<0)); }; // 8: UARTRbus_RX_src3,<I>
	// PAD_NAME: pad_st_gpio_33_io 256
	rtd_maskl(0xB8060214, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_V11 << 4) | (RTD287O_BGA_19x19_PIN_V11_UP << 3) | (RTD287O_BGA_19x19_PIN_V11_PD << 2) |(RTD287O_BGA_19x19_PIN_V11_DS << 1) | (RTD287O_BGA_19x19_PIN_V11_SR)) << 8));
	// PAD_NAME: pad_st_gpio_31_io 259
	rtd_maskl(0xB8060214, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_V9 << 4) | (RTD287O_BGA_19x19_PIN_V9_UP << 3) | (RTD287O_BGA_19x19_PIN_V9_PD << 2) |(RTD287O_BGA_19x19_PIN_V9_DS << 1) | (RTD287O_BGA_19x19_PIN_V9_SR)) << 24));
	// PAD_NAME: pad_st_gpio_32_io 260
	rtd_maskl(0xB8060214, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_V10 << 4) | (RTD287O_BGA_19x19_PIN_V10_UP << 3) | (RTD287O_BGA_19x19_PIN_V10_PD << 2) |(RTD287O_BGA_19x19_PIN_V10_DS << 1) | (RTD287O_BGA_19x19_PIN_V10_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_V10 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x2&0x7)<<8)); }; // 6: uart0_rxdi_src2,<I>
	if (RTD287O_BGA_19x19_PIN_V10 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x2&0x7)<<4)); }; // 7: uart1_rxdi_src2,<I>
	if (RTD287O_BGA_19x19_PIN_V10 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x2&0x7)<<0)); }; // 8: UARTRbus_RX_src2,<I>
	// PAD_NAME: pad_st_gpio_34_io 261
	rtd_maskl(0xB8060214, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_W11 << 4) | (RTD287O_BGA_19x19_PIN_W11_UP << 3) | (RTD287O_BGA_19x19_PIN_W11_PD << 2) |(RTD287O_BGA_19x19_PIN_W11_DS << 1) | (RTD287O_BGA_19x19_PIN_W11_SR)) << 0));
	// PAD_NAME: pad_st_gpio_36_io 262
	rtd_maskl(0xB8060218, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_W12 << 4) | (RTD287O_BGA_19x19_PIN_W12_UP << 3) | (RTD287O_BGA_19x19_PIN_W12_PD << 2) |(RTD287O_BGA_19x19_PIN_W12_DS << 1) | (RTD287O_BGA_19x19_PIN_W12_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_W12 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x1&0x7)<<8)); }; // 6: uart0_rxdi_src1,<I>
	if (RTD287O_BGA_19x19_PIN_W12 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x1&0x7)<<4)); }; // 7: uart1_rxdi_src1,<I>
	if (RTD287O_BGA_19x19_PIN_W12 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x1&0x7)<<0)); }; // 8: UARTRbus_RX_src1,<I>
	// PAD_NAME: pad_st_gpio_35_io 263
	rtd_maskl(0xB8060218, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_V12 << 4) | (RTD287O_BGA_19x19_PIN_V12_UP << 3) | (RTD287O_BGA_19x19_PIN_V12_PD << 2) |(RTD287O_BGA_19x19_PIN_V12_DS << 1) | (RTD287O_BGA_19x19_PIN_V12_SR)) << 24));
	// PAD_NAME: pad_st_gpio_37_io 264
	rtd_maskl(0xB8060218, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_U14 << 4) | (RTD287O_BGA_19x19_PIN_U14_UP << 3) | (RTD287O_BGA_19x19_PIN_U14_PD << 2) |(RTD287O_BGA_19x19_PIN_U14_DS << 1) | (RTD287O_BGA_19x19_PIN_U14_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_U14 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_SYNC_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_39_io 265
	rtd_maskl(0xB806021C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_V14 << 4) | (RTD287O_BGA_19x19_PIN_V14_UP << 3) | (RTD287O_BGA_19x19_PIN_V14_PD << 2) |(RTD287O_BGA_19x19_PIN_V14_DS << 1) | (RTD287O_BGA_19x19_PIN_V14_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_V14 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 0: SPI_FCIC_DO_src1,<I/O>
	if (RTD287O_BGA_19x19_PIN_V14 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 1: TP0_VAL_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_38_io 266
	rtd_maskl(0xB8060218, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_W14 << 4) | (RTD287O_BGA_19x19_PIN_W14_UP << 3) | (RTD287O_BGA_19x19_PIN_W14_PD << 2) |(RTD287O_BGA_19x19_PIN_W14_DS << 1) | (RTD287O_BGA_19x19_PIN_W14_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_W14 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_CLK_src1,<I>,<HS>,<AND>
	// PAD_NAME: pad_st_gpio_40_io 267
	rtd_maskl(0xB806021C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_U15 << 4) | (RTD287O_BGA_19x19_PIN_U15_UP << 3) | (RTD287O_BGA_19x19_PIN_U15_PD << 2) |(RTD287O_BGA_19x19_PIN_U15_DS << 1) | (RTD287O_BGA_19x19_PIN_U15_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_U15 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 0: SPI_FCIC_DI_src1,<I/O>
	if (RTD287O_BGA_19x19_PIN_U15 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_Data_bit0_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_42_io 268
	rtd_maskl(0xB806021C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_V15 << 4) | (RTD287O_BGA_19x19_PIN_V15_UP << 3) | (RTD287O_BGA_19x19_PIN_V15_PD << 2) |(RTD287O_BGA_19x19_PIN_V15_DS << 1) | (RTD287O_BGA_19x19_PIN_V15_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_V15 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 1: TP0_Data_bit2_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_43_io 270
	rtd_maskl(0xB8060220, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_W15 << 4) | (RTD287O_BGA_19x19_PIN_W15_UP << 3) | (RTD287O_BGA_19x19_PIN_W15_PD << 2) |(RTD287O_BGA_19x19_PIN_W15_DS << 1) | (RTD287O_BGA_19x19_PIN_W15_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_W15 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 1: TP0_Data_bit3_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_W15 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // A: I2S_IN_Data3_src1,<I>
	if (RTD287O_BGA_19x19_PIN_W15 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // B: I2C5_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_45_io 271
	rtd_maskl(0xB8060220, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_U16 << 4) | (RTD287O_BGA_19x19_PIN_U16_UP << 3) | (RTD287O_BGA_19x19_PIN_U16_PD << 2) |(RTD287O_BGA_19x19_PIN_U16_DS << 1) | (RTD287O_BGA_19x19_PIN_U16_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_U16 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 1: TP0_Data_bit5_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_U16 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // A: I2S_IN_Data1_src1,<I>
	// PAD_NAME: pad_st_gpio_44_io 272
	rtd_maskl(0xB8060220, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_V16 << 4) | (RTD287O_BGA_19x19_PIN_V16_UP << 3) | (RTD287O_BGA_19x19_PIN_V16_PD << 2) |(RTD287O_BGA_19x19_PIN_V16_DS << 1) | (RTD287O_BGA_19x19_PIN_V16_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_V16 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 1: TP0_Data_bit4_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_V16 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // A: I2S_IN_Data0_src1,<I>
	// PAD_NAME: pad_st_gpio_47_io 275
	rtd_maskl(0xB8060224, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_W16 << 4) | (RTD287O_BGA_19x19_PIN_W16_UP << 3) | (RTD287O_BGA_19x19_PIN_W16_PD << 2) |(RTD287O_BGA_19x19_PIN_W16_DS << 1) | (RTD287O_BGA_19x19_PIN_W16_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_W16 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_Data_bit7_src1,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_W16 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // A: I2S_IN_Data2_src1,<I>
	// PAD_NAME: pad_st_gpio_50_io 280
	rtd_maskl(0xB8060224, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_U17 << 4) | (RTD287O_BGA_19x19_PIN_U17_UP << 3) | (RTD287O_BGA_19x19_PIN_U17_PD << 2) |(RTD287O_BGA_19x19_PIN_U17_DS << 1) | (RTD287O_BGA_19x19_PIN_U17_SR)) << 0));
	// PAD_NAME: pad_st_gpio_49_io 281
	rtd_maskl(0xB8060224, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_V17 << 4) | (RTD287O_BGA_19x19_PIN_V17_UP << 3) | (RTD287O_BGA_19x19_PIN_V17_PD << 2) |(RTD287O_BGA_19x19_PIN_V17_DS << 1) | (RTD287O_BGA_19x19_PIN_V17_SR)) << 8));
	// PAD_NAME: pad_st_gpio_53_io 282
	rtd_maskl(0xB8060228, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_W17 << 4) | (RTD287O_BGA_19x19_PIN_W17_UP << 3) | (RTD287O_BGA_19x19_PIN_W17_PD << 2) |(RTD287O_BGA_19x19_PIN_W17_DS << 1) | (RTD287O_BGA_19x19_PIN_W17_SR)) << 8));
	// PAD_NAME: pad_st_gpio_51_io 283
	rtd_maskl(0xB8060228, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_W18 << 4) | (RTD287O_BGA_19x19_PIN_W18_UP << 3) | (RTD287O_BGA_19x19_PIN_W18_PD << 2) |(RTD287O_BGA_19x19_PIN_W18_DS << 1) | (RTD287O_BGA_19x19_PIN_W18_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_W18 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // B: I2C0_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_56_io 284
	rtd_maskl(0xB806022C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_V18 << 4) | (RTD287O_BGA_19x19_PIN_V18_UP << 3) | (RTD287O_BGA_19x19_PIN_V18_PD << 2) |(RTD287O_BGA_19x19_PIN_V18_DS << 1) | (RTD287O_BGA_19x19_PIN_V18_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_V18 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x0&0x7)<<12)); }; // 3: ld_spi1_p2_sck_src0,<I/O>
	// PAD_NAME: pad_st_gpio_52_io 285
	rtd_maskl(0xB8060228, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_V19 << 4) | (RTD287O_BGA_19x19_PIN_V19_UP << 3) | (RTD287O_BGA_19x19_PIN_V19_PD << 2) |(RTD287O_BGA_19x19_PIN_V19_DS << 1) | (RTD287O_BGA_19x19_PIN_V19_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_V19 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // B: I2C0_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_54_io 286
	rtd_maskl(0xB8060228, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_U18 << 4) | (RTD287O_BGA_19x19_PIN_U18_UP << 3) | (RTD287O_BGA_19x19_PIN_U18_PD << 2) |(RTD287O_BGA_19x19_PIN_U18_DS << 1) | (RTD287O_BGA_19x19_PIN_U18_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_U18 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x0&0x7)<<4)); }; // 3: ld_spi1_p4_sdi_src0,<I>
	// PAD_NAME: pad_st_gpio_59_io 287
	rtd_maskl(0xB8060230, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_U19 << 4) | (RTD287O_BGA_19x19_PIN_U19_UP << 3) | (RTD287O_BGA_19x19_PIN_U19_PD << 2) |(RTD287O_BGA_19x19_PIN_U19_DS << 1) | (RTD287O_BGA_19x19_PIN_U19_SR)) << 24));
	// PAD_NAME: pad_st_gpio_55_io 288
	rtd_maskl(0xB806022C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_T18 << 4) | (RTD287O_BGA_19x19_PIN_T18_UP << 3) | (RTD287O_BGA_19x19_PIN_T18_PD << 2) |(RTD287O_BGA_19x19_PIN_T18_DS << 1) | (RTD287O_BGA_19x19_PIN_T18_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_T18 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x0&0x7)<<8)); }; // 3: ld_spi1_p3_sdo_src0,<I/O>
	// PAD_NAME: pad_st_gpio_58_io 292
	rtd_maskl(0xB806022C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_T19 << 4) | (RTD287O_BGA_19x19_PIN_T19_UP << 3) | (RTD287O_BGA_19x19_PIN_T19_PD << 2) |(RTD287O_BGA_19x19_PIN_T19_DS << 1) | (RTD287O_BGA_19x19_PIN_T19_SR)) << 0));
	// PAD_NAME: pad_st_gpio_60_io 293
	rtd_maskl(0xB8060230, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_U21 << 4) | (RTD287O_BGA_19x19_PIN_U21_UP << 3) | (RTD287O_BGA_19x19_PIN_U21_PD << 2) |(RTD287O_BGA_19x19_PIN_U21_DS << 1) | (RTD287O_BGA_19x19_PIN_U21_SR)) << 16));
	// PAD_NAME: pad_emmc_rst_n_io:IO 458
	rtd_maskl(0xB8000860, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_AA20 << 4) | (RTD287O_BGA_19x19_PIN_AA20_UP << 3) | (RTD287O_BGA_19x19_PIN_AA20_PD << 2) |(RTD287O_BGA_19x19_PIN_AA20_DS << 1) | (RTD287O_BGA_19x19_PIN_AA20_SR)) << 24));
	// PAD_NAME: pad_emmc_clk_io:IO 461
	rtd_maskl(0xB8000860, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_AA19 << 4) | (RTD287O_BGA_19x19_PIN_AA19_UP << 3) | (RTD287O_BGA_19x19_PIN_AA19_PD << 2) |(RTD287O_BGA_19x19_PIN_AA19_DS << 1) | (RTD287O_BGA_19x19_PIN_AA19_SR)) << 16));
	// PAD_NAME: pad_emmc_cmd_io:IO 464
	rtd_maskl(0xB8000860, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_AB20 << 4) | (RTD287O_BGA_19x19_PIN_AB20_UP << 3) | (RTD287O_BGA_19x19_PIN_AB20_PD << 2) |(RTD287O_BGA_19x19_PIN_AB20_DS << 1) | (RTD287O_BGA_19x19_PIN_AB20_SR)) << 8));
	// PAD_NAME: pad_emmc_ds_io 465
	rtd_maskl(0xB8000860, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_AB21 << 4) | (RTD287O_BGA_19x19_PIN_AB21_UP << 3) | (RTD287O_BGA_19x19_PIN_AB21_PD << 2) |(RTD287O_BGA_19x19_PIN_AB21_DS << 1) | (RTD287O_BGA_19x19_PIN_AB21_SR)) << 0));
	// PAD_NAME: pad_emmc_d5_io:IO 467
	rtd_maskl(0xB8000864, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_AA21 << 4) | (RTD287O_BGA_19x19_PIN_AA21_UP << 3) | (RTD287O_BGA_19x19_PIN_AA21_PD << 2) |(RTD287O_BGA_19x19_PIN_AA21_DS << 1) | (RTD287O_BGA_19x19_PIN_AA21_SR)) << 24));
	// PAD_NAME: pad_emmc_d3_io 468
	rtd_maskl(0xB8000864, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_Y20 << 4) | (RTD287O_BGA_19x19_PIN_Y20_UP << 3) | (RTD287O_BGA_19x19_PIN_Y20_PD << 2) |(RTD287O_BGA_19x19_PIN_Y20_DS << 1) | (RTD287O_BGA_19x19_PIN_Y20_SR)) << 16));
	// PAD_NAME: pad_emmc_d4_io:IO 470
	rtd_maskl(0xB8000864, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_AA22 << 4) | (RTD287O_BGA_19x19_PIN_AA22_UP << 3) | (RTD287O_BGA_19x19_PIN_AA22_PD << 2) |(RTD287O_BGA_19x19_PIN_AA22_DS << 1) | (RTD287O_BGA_19x19_PIN_AA22_SR)) << 8));
	// PAD_NAME: pad_emmc_d0_io 471
	rtd_maskl(0xB8000864, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_Y21 << 4) | (RTD287O_BGA_19x19_PIN_Y21_UP << 3) | (RTD287O_BGA_19x19_PIN_Y21_PD << 2) |(RTD287O_BGA_19x19_PIN_Y21_DS << 1) | (RTD287O_BGA_19x19_PIN_Y21_SR)) << 0));
	// PAD_NAME: pad_emmc_d1_io:IO 476
	rtd_maskl(0xB8000868, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_Y22 << 4) | (RTD287O_BGA_19x19_PIN_Y22_UP << 3) | (RTD287O_BGA_19x19_PIN_Y22_PD << 2) |(RTD287O_BGA_19x19_PIN_Y22_DS << 1) | (RTD287O_BGA_19x19_PIN_Y22_SR)) << 24));
	// PAD_NAME: pad_emmc_d2_io 477
	rtd_maskl(0xB8000868, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_W20 << 4) | (RTD287O_BGA_19x19_PIN_W20_UP << 3) | (RTD287O_BGA_19x19_PIN_W20_PD << 2) |(RTD287O_BGA_19x19_PIN_W20_DS << 1) | (RTD287O_BGA_19x19_PIN_W20_SR)) << 16));
	// PAD_NAME: pad_emmc_d7_io:IO 479
	rtd_maskl(0xB8000868, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_W22 << 4) | (RTD287O_BGA_19x19_PIN_W22_UP << 3) | (RTD287O_BGA_19x19_PIN_W22_PD << 2) |(RTD287O_BGA_19x19_PIN_W22_DS << 1) | (RTD287O_BGA_19x19_PIN_W22_SR)) << 8));
	// PAD_NAME: pad_emmc_d6_io 480
	rtd_maskl(0xB8000868, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_W21 << 4) | (RTD287O_BGA_19x19_PIN_W21_UP << 3) | (RTD287O_BGA_19x19_PIN_W21_PD << 2) |(RTD287O_BGA_19x19_PIN_W21_DS << 1) | (RTD287O_BGA_19x19_PIN_W21_SR)) << 0));
	// PAD_NAME: pad_gpio_95_io 495
	rtd_maskl(0xB8000880, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_V20 << 4) | (RTD287O_BGA_19x19_PIN_V20_UP << 3) | (RTD287O_BGA_19x19_PIN_V20_PD << 2) |(RTD287O_BGA_19x19_PIN_V20_DS << 1) | (RTD287O_BGA_19x19_PIN_V20_SR)) << 24));
	// PAD_NAME: pad_gpio_96_io 496
	rtd_maskl(0xB8000880, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_V21 << 4) | (RTD287O_BGA_19x19_PIN_V21_UP << 3) | (RTD287O_BGA_19x19_PIN_V21_PD << 2) |(RTD287O_BGA_19x19_PIN_V21_DS << 1) | (RTD287O_BGA_19x19_PIN_V21_SR)) << 16));
	// PAD_NAME: pad_gpio_97_io 500
	rtd_maskl(0xB8000880, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_U20 << 4) | (RTD287O_BGA_19x19_PIN_U20_UP << 3) | (RTD287O_BGA_19x19_PIN_U20_PD << 2) |(RTD287O_BGA_19x19_PIN_U20_DS << 1) | (RTD287O_BGA_19x19_PIN_U20_SR)) << 8));
	// PAD_NAME: pad_gpio_98_io 501
	rtd_maskl(0xB8000880, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_T20 << 4) | (RTD287O_BGA_19x19_PIN_T20_UP << 3) | (RTD287O_BGA_19x19_PIN_T20_PD << 2) |(RTD287O_BGA_19x19_PIN_T20_DS << 1) | (RTD287O_BGA_19x19_PIN_T20_SR)) << 0));
	// PAD_NAME: pad_gpio_99_io 502
	rtd_maskl(0xB8000884, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_T22 << 4) | (RTD287O_BGA_19x19_PIN_T22_UP << 3) | (RTD287O_BGA_19x19_PIN_T22_PD << 2) |(RTD287O_BGA_19x19_PIN_T22_DS << 1) | (RTD287O_BGA_19x19_PIN_T22_SR)) << 24));
	// PAD_NAME: pad_gpio_100_io 503
	rtd_maskl(0xB8000884, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_T21 << 4) | (RTD287O_BGA_19x19_PIN_T21_UP << 3) | (RTD287O_BGA_19x19_PIN_T21_PD << 2) |(RTD287O_BGA_19x19_PIN_T21_DS << 1) | (RTD287O_BGA_19x19_PIN_T21_SR)) << 16));
	// PAD_NAME: pad_gpio_101_io 504
	rtd_maskl(0xB8000884, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_R20 << 4) | (RTD287O_BGA_19x19_PIN_R20_UP << 3) | (RTD287O_BGA_19x19_PIN_R20_PD << 2) |(RTD287O_BGA_19x19_PIN_R20_DS << 1) | (RTD287O_BGA_19x19_PIN_R20_SR)) << 8));
	// PAD_NAME: pad_gpio_102_io 505
	rtd_maskl(0xB8000884, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_R21 << 4) | (RTD287O_BGA_19x19_PIN_R21_UP << 3) | (RTD287O_BGA_19x19_PIN_R21_PD << 2) |(RTD287O_BGA_19x19_PIN_R21_DS << 1) | (RTD287O_BGA_19x19_PIN_R21_SR)) << 0));
	// PAD_NAME: pad_gpio_103_io 508
	rtd_maskl(0xB8000888, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_R19 << 4) | (RTD287O_BGA_19x19_PIN_R19_UP << 3) | (RTD287O_BGA_19x19_PIN_R19_PD << 2) |(RTD287O_BGA_19x19_PIN_R19_DS << 1) | (RTD287O_BGA_19x19_PIN_R19_SR)) << 24));
	// PAD_NAME: pad_gpio_104_io 509
	rtd_maskl(0xB8000888, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_R18 << 4) | (RTD287O_BGA_19x19_PIN_R18_UP << 3) | (RTD287O_BGA_19x19_PIN_R18_PD << 2) |(RTD287O_BGA_19x19_PIN_R18_DS << 1) | (RTD287O_BGA_19x19_PIN_R18_SR)) << 16));
	// PAD_NAME: pad_gpio_105_io 510
	rtd_maskl(0xB8000888, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_P20 << 4) | (RTD287O_BGA_19x19_PIN_P20_UP << 3) | (RTD287O_BGA_19x19_PIN_P20_PD << 2) |(RTD287O_BGA_19x19_PIN_P20_DS << 1) | (RTD287O_BGA_19x19_PIN_P20_SR)) << 8));
	// PAD_NAME: pad_gpio_106_io 511
	rtd_maskl(0xB8000888, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_P21 << 4) | (RTD287O_BGA_19x19_PIN_P21_UP << 3) | (RTD287O_BGA_19x19_PIN_P21_PD << 2) |(RTD287O_BGA_19x19_PIN_P21_DS << 1) | (RTD287O_BGA_19x19_PIN_P21_SR)) << 0));
	// PAD_NAME: pad_gpio_107_io 512
	rtd_maskl(0xB800088C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_P22 << 4) | (RTD287O_BGA_19x19_PIN_P22_UP << 3) | (RTD287O_BGA_19x19_PIN_P22_PD << 2) |(RTD287O_BGA_19x19_PIN_P22_DS << 1) | (RTD287O_BGA_19x19_PIN_P22_SR)) << 24));
	// PAD_NAME: pad_gpio_108_io 513
	rtd_maskl(0xB800088C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_P19 << 4) | (RTD287O_BGA_19x19_PIN_P19_UP << 3) | (RTD287O_BGA_19x19_PIN_P19_PD << 2) |(RTD287O_BGA_19x19_PIN_P19_DS << 1) | (RTD287O_BGA_19x19_PIN_P19_SR)) << 16));
	// PAD_NAME: pad_gpio_109_io 514
	rtd_maskl(0xB800088C, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_P18 << 4) | (RTD287O_BGA_19x19_PIN_P18_UP << 3) | (RTD287O_BGA_19x19_PIN_P18_PD << 2) |(RTD287O_BGA_19x19_PIN_P18_DS << 1) | (RTD287O_BGA_19x19_PIN_P18_SR)) << 8));
	// PAD_NAME: pad_gpio_110_io 515
	rtd_maskl(0xB800088C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_N20 << 4) | (RTD287O_BGA_19x19_PIN_N20_UP << 3) | (RTD287O_BGA_19x19_PIN_N20_PD << 2) |(RTD287O_BGA_19x19_PIN_N20_DS << 1) | (RTD287O_BGA_19x19_PIN_N20_SR)) << 0));
	// PAD_NAME: pad_gpio_111_io 517
	rtd_maskl(0xB8000890, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_N22 << 4) | (RTD287O_BGA_19x19_PIN_N22_UP << 3) | (RTD287O_BGA_19x19_PIN_N22_PD << 2) |(RTD287O_BGA_19x19_PIN_N22_DS << 1) | (RTD287O_BGA_19x19_PIN_N22_SR)) << 24));
	// PAD_NAME: pad_gpio_113_io 518
	rtd_maskl(0xB8000890, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_N19 << 4) | (RTD287O_BGA_19x19_PIN_N19_UP << 3) | (RTD287O_BGA_19x19_PIN_N19_PD << 2) |(RTD287O_BGA_19x19_PIN_N19_DS << 1) | (RTD287O_BGA_19x19_PIN_N19_SR)) << 8));
	// PAD_NAME: pad_gpio_114_io 519
	rtd_maskl(0xB8000890, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_N18 << 4) | (RTD287O_BGA_19x19_PIN_N18_UP << 3) | (RTD287O_BGA_19x19_PIN_N18_PD << 2) |(RTD287O_BGA_19x19_PIN_N18_DS << 1) | (RTD287O_BGA_19x19_PIN_N18_SR)) << 0));
	// PAD_NAME: pad_gpio_112_io 520
	rtd_maskl(0xB8000890, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_N21 << 4) | (RTD287O_BGA_19x19_PIN_N21_UP << 3) | (RTD287O_BGA_19x19_PIN_N21_PD << 2) |(RTD287O_BGA_19x19_PIN_N21_DS << 1) | (RTD287O_BGA_19x19_PIN_N21_SR)) << 16));
	// PAD_NAME: pad_gpio_116_io 521
	rtd_maskl(0xB8000894, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_M21 << 4) | (RTD287O_BGA_19x19_PIN_M21_UP << 3) | (RTD287O_BGA_19x19_PIN_M21_PD << 2) |(RTD287O_BGA_19x19_PIN_M21_DS << 1) | (RTD287O_BGA_19x19_PIN_M21_SR)) << 16));
	// PAD_NAME: pad_gpio_117_io 522
	rtd_maskl(0xB8000894, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_M19 << 4) | (RTD287O_BGA_19x19_PIN_M19_UP << 3) | (RTD287O_BGA_19x19_PIN_M19_PD << 2) |(RTD287O_BGA_19x19_PIN_M19_DS << 1) | (RTD287O_BGA_19x19_PIN_M19_SR)) << 8));
	// PAD_NAME: pad_gpio_115_io 523
	rtd_maskl(0xB8000894, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_M20 << 4) | (RTD287O_BGA_19x19_PIN_M20_UP << 3) | (RTD287O_BGA_19x19_PIN_M20_PD << 2) |(RTD287O_BGA_19x19_PIN_M20_DS << 1) | (RTD287O_BGA_19x19_PIN_M20_SR)) << 24));
	// PAD_NAME: pad_gpio_119_io 524
	rtd_maskl(0xB8000898, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_L20 << 4) | (RTD287O_BGA_19x19_PIN_L20_UP << 3) | (RTD287O_BGA_19x19_PIN_L20_PD << 2) |(RTD287O_BGA_19x19_PIN_L20_DS << 1) | (RTD287O_BGA_19x19_PIN_L20_SR)) << 24));
	// PAD_NAME: pad_gpio_120_io 525
	rtd_maskl(0xB8000898, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_L21 << 4) | (RTD287O_BGA_19x19_PIN_L21_UP << 3) | (RTD287O_BGA_19x19_PIN_L21_PD << 2) |(RTD287O_BGA_19x19_PIN_L21_DS << 1) | (RTD287O_BGA_19x19_PIN_L21_SR)) << 16));
	// PAD_NAME: pad_gpio_121_io 526
	rtd_maskl(0xB8000898, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_L22 << 4) | (RTD287O_BGA_19x19_PIN_L22_UP << 3) | (RTD287O_BGA_19x19_PIN_L22_PD << 2) |(RTD287O_BGA_19x19_PIN_L22_DS << 1) | (RTD287O_BGA_19x19_PIN_L22_SR)) << 8));
	// PAD_NAME: pad_gpio_118_io 527
	rtd_maskl(0xB8000894, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_M18 << 4) | (RTD287O_BGA_19x19_PIN_M18_UP << 3) | (RTD287O_BGA_19x19_PIN_M18_PD << 2) |(RTD287O_BGA_19x19_PIN_M18_DS << 1) | (RTD287O_BGA_19x19_PIN_M18_SR)) << 0));
	// PAD_NAME: pad_gpio_123_io 532
	rtd_maskl(0xB800089C, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_L18 << 4) | (RTD287O_BGA_19x19_PIN_L18_UP << 3) | (RTD287O_BGA_19x19_PIN_L18_PD << 2) |(RTD287O_BGA_19x19_PIN_L18_DS << 1) | (RTD287O_BGA_19x19_PIN_L18_SR)) << 24));
	// PAD_NAME: pad_gpio_124_io 533
	rtd_maskl(0xB800089C, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_K20 << 4) | (RTD287O_BGA_19x19_PIN_K20_UP << 3) | (RTD287O_BGA_19x19_PIN_K20_PD << 2) |(RTD287O_BGA_19x19_PIN_K20_DS << 1) | (RTD287O_BGA_19x19_PIN_K20_SR)) << 16));
	// PAD_NAME: pad_gpio_122_io 534
	rtd_maskl(0xB8000898, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_L19 << 4) | (RTD287O_BGA_19x19_PIN_L19_UP << 3) | (RTD287O_BGA_19x19_PIN_L19_PD << 2) |(RTD287O_BGA_19x19_PIN_L19_DS << 1) | (RTD287O_BGA_19x19_PIN_L19_SR)) << 0));
	// PAD_NAME: pad_gpio_126_io 535
	rtd_maskl(0xB800089C, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_K21 << 4) | (RTD287O_BGA_19x19_PIN_K21_UP << 3) | (RTD287O_BGA_19x19_PIN_K21_PD << 2) |(RTD287O_BGA_19x19_PIN_K21_DS << 1) | (RTD287O_BGA_19x19_PIN_K21_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_K21 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 7: ld_spi0_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_127_io 536
	rtd_maskl(0xB80008A0, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_K19 << 4) | (RTD287O_BGA_19x19_PIN_K19_UP << 3) | (RTD287O_BGA_19x19_PIN_K19_PD << 2) |(RTD287O_BGA_19x19_PIN_K19_DS << 1) | (RTD287O_BGA_19x19_PIN_K19_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_K19 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x2&0x3)<<16)); }; // 7: ld_spi0_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_125_io 537
	rtd_maskl(0xB800089C, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_K22 << 4) | (RTD287O_BGA_19x19_PIN_K22_UP << 3) | (RTD287O_BGA_19x19_PIN_K22_PD << 2) |(RTD287O_BGA_19x19_PIN_K22_DS << 1) | (RTD287O_BGA_19x19_PIN_K22_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_K22 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 7: ld_spi0_p2_sck_src2,<I/O>
	// PAD_NAME: pad_gpio_129_io 538
	rtd_maskl(0xB80008A0, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_J20 << 4) | (RTD287O_BGA_19x19_PIN_J20_UP << 3) | (RTD287O_BGA_19x19_PIN_J20_PD << 2) |(RTD287O_BGA_19x19_PIN_J20_DS << 1) | (RTD287O_BGA_19x19_PIN_J20_SR)) << 8));
	// PAD_NAME: pad_gpio_130_io 539
	rtd_maskl(0xB80008A0, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_J21 << 4) | (RTD287O_BGA_19x19_PIN_J21_UP << 3) | (RTD287O_BGA_19x19_PIN_J21_PD << 2) |(RTD287O_BGA_19x19_PIN_J21_DS << 1) | (RTD287O_BGA_19x19_PIN_J21_SR)) << 0));
	// PAD_NAME: pad_gpio_128_io 540
	rtd_maskl(0xB80008A0, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_K18 << 4) | (RTD287O_BGA_19x19_PIN_K18_UP << 3) | (RTD287O_BGA_19x19_PIN_K18_PD << 2) |(RTD287O_BGA_19x19_PIN_K18_DS << 1) | (RTD287O_BGA_19x19_PIN_K18_SR)) << 16));
	// PAD_NAME: pad_gpio_132_io 541
	rtd_maskl(0xB80008A4, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_J18 << 4) | (RTD287O_BGA_19x19_PIN_J18_UP << 3) | (RTD287O_BGA_19x19_PIN_J18_PD << 2) |(RTD287O_BGA_19x19_PIN_J18_DS << 1) | (RTD287O_BGA_19x19_PIN_J18_SR)) << 16));
	// PAD_NAME: pad_gpio_133_io 542
	rtd_maskl(0xB80008A4, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_H20 << 4) | (RTD287O_BGA_19x19_PIN_H20_UP << 3) | (RTD287O_BGA_19x19_PIN_H20_PD << 2) |(RTD287O_BGA_19x19_PIN_H20_DS << 1) | (RTD287O_BGA_19x19_PIN_H20_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_H20 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x3&0x7)<<12)); }; // 7: ld_spi1_p2_sck_src3,<I/O>
	// PAD_NAME: pad_gpio_131_io 543
	rtd_maskl(0xB80008A4, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_J19 << 4) | (RTD287O_BGA_19x19_PIN_J19_UP << 3) | (RTD287O_BGA_19x19_PIN_J19_PD << 2) |(RTD287O_BGA_19x19_PIN_J19_DS << 1) | (RTD287O_BGA_19x19_PIN_J19_SR)) << 24));
	// PAD_NAME: pad_gpio_135_io 544
	rtd_maskl(0xB80008A8, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_H22 << 4) | (RTD287O_BGA_19x19_PIN_H22_UP << 3) | (RTD287O_BGA_19x19_PIN_H22_PD << 2) |(RTD287O_BGA_19x19_PIN_H22_DS << 1) | (RTD287O_BGA_19x19_PIN_H22_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_H22 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x3&0x7)<<4)); }; // 7: ld_spi1_p4_sdi_src3,<I>
	// PAD_NAME: pad_gpio_136_io 545
	rtd_maskl(0xB80008A8, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_H19 << 4) | (RTD287O_BGA_19x19_PIN_H19_UP << 3) | (RTD287O_BGA_19x19_PIN_H19_PD << 2) |(RTD287O_BGA_19x19_PIN_H19_DS << 1) | (RTD287O_BGA_19x19_PIN_H19_SR)) << 16));
	// PAD_NAME: pad_gpio_134_io 546
	rtd_maskl(0xB80008A4, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_H21 << 4) | (RTD287O_BGA_19x19_PIN_H21_UP << 3) | (RTD287O_BGA_19x19_PIN_H21_PD << 2) |(RTD287O_BGA_19x19_PIN_H21_DS << 1) | (RTD287O_BGA_19x19_PIN_H21_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_H21 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 1: TP1_CLK_src0,<I>,<HS>,<AND>
	if (RTD287O_BGA_19x19_PIN_H21 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x3&0x7)<<8)); }; // 7: ld_spi1_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_138_io 547
	rtd_maskl(0xB80008A8, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_G20 << 4) | (RTD287O_BGA_19x19_PIN_G20_UP << 3) | (RTD287O_BGA_19x19_PIN_G20_PD << 2) |(RTD287O_BGA_19x19_PIN_G20_DS << 1) | (RTD287O_BGA_19x19_PIN_G20_SR)) << 0));
	// PAD_NAME: pad_gpio_139_io 548
	rtd_maskl(0xB80008AC, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_G22 << 4) | (RTD287O_BGA_19x19_PIN_G22_UP << 3) | (RTD287O_BGA_19x19_PIN_G22_PD << 2) |(RTD287O_BGA_19x19_PIN_G22_DS << 1) | (RTD287O_BGA_19x19_PIN_G22_SR)) << 24));
	// PAD_NAME: pad_gpio_137_io 549
	rtd_maskl(0xB80008A8, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_H18 << 4) | (RTD287O_BGA_19x19_PIN_H18_UP << 3) | (RTD287O_BGA_19x19_PIN_H18_PD << 2) |(RTD287O_BGA_19x19_PIN_H18_DS << 1) | (RTD287O_BGA_19x19_PIN_H18_SR)) << 8));
	// PAD_NAME: pad_gpio_141_io 550
	rtd_maskl(0xB80008AC, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_G19 << 4) | (RTD287O_BGA_19x19_PIN_G19_UP << 3) | (RTD287O_BGA_19x19_PIN_G19_PD << 2) |(RTD287O_BGA_19x19_PIN_G19_DS << 1) | (RTD287O_BGA_19x19_PIN_G19_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_G19 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x3&0x3)<<24)); }; // 7: ld_spi0_p2_sck_src3,<I/O>
	// PAD_NAME: pad_gpio_142_io 551
	rtd_maskl(0xB80008AC, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_G18 << 4) | (RTD287O_BGA_19x19_PIN_G18_UP << 3) | (RTD287O_BGA_19x19_PIN_G18_PD << 2) |(RTD287O_BGA_19x19_PIN_G18_DS << 1) | (RTD287O_BGA_19x19_PIN_G18_SR)) << 0));
	// PAD_NAME: pad_gpio_140_io 552
	rtd_maskl(0xB80008AC, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_G21 << 4) | (RTD287O_BGA_19x19_PIN_G21_UP << 3) | (RTD287O_BGA_19x19_PIN_G21_PD << 2) |(RTD287O_BGA_19x19_PIN_G21_DS << 1) | (RTD287O_BGA_19x19_PIN_G21_SR)) << 16));
	// PAD_NAME: pad_gpio_144_io 553
	rtd_maskl(0xB80008B0, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E20 << 4) | (RTD287O_BGA_19x19_PIN_E20_UP << 3) | (RTD287O_BGA_19x19_PIN_E20_PD << 2) |(RTD287O_BGA_19x19_PIN_E20_DS << 1) | (RTD287O_BGA_19x19_PIN_E20_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_E20 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 1: TP1_VAL_src0,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_E20 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x2&0x3)<<0)); }; // 2: SD_WP_src2,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_E20 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x3&0x3)<<16)); }; // 7: ld_spi0_p4_sdi_src3,<I>
	if (RTD287O_BGA_19x19_PIN_E20 == 0x8) { rtd_maskl(0xb80008e0, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 8: SC_DATA_src0,<I/O>
	// PAD_NAME: pad_gpio_145_io 554
	rtd_maskl(0xB80008B0, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_F20 << 4) | (RTD287O_BGA_19x19_PIN_F20_UP << 3) | (RTD287O_BGA_19x19_PIN_F20_PD << 2) |(RTD287O_BGA_19x19_PIN_F20_DS << 1) | (RTD287O_BGA_19x19_PIN_F20_SR)) << 8));
	if (RTD287O_BGA_19x19_PIN_F20 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x2&0x3)<<0)); }; // 2: SD_CD_src2,<I>,<HS>
	// PAD_NAME: pad_gpio_143_io 555
	rtd_maskl(0xB80008B0, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_F21 << 4) | (RTD287O_BGA_19x19_PIN_F21_UP << 3) | (RTD287O_BGA_19x19_PIN_F21_PD << 2) |(RTD287O_BGA_19x19_PIN_F21_DS << 1) | (RTD287O_BGA_19x19_PIN_F21_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_F21 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x3&0x3)<<20)); }; // 7: ld_spi0_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_146_io 577
	rtd_maskl(0xB80008B0, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_F19 << 4) | (RTD287O_BGA_19x19_PIN_F19_UP << 3) | (RTD287O_BGA_19x19_PIN_F19_PD << 2) |(RTD287O_BGA_19x19_PIN_F19_DS << 1) | (RTD287O_BGA_19x19_PIN_F19_SR)) << 0));
	if (RTD287O_BGA_19x19_PIN_F19 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 1: TP1_SYNC_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_147_io 578
	rtd_maskl(0xB80008B4, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_E21 << 4) | (RTD287O_BGA_19x19_PIN_E21_UP << 3) | (RTD287O_BGA_19x19_PIN_E21_PD << 2) |(RTD287O_BGA_19x19_PIN_E21_DS << 1) | (RTD287O_BGA_19x19_PIN_E21_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_E21 == 0x8) { rtd_maskl(0xb80008dc, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 8: SC_CD_src0,<I>
	// PAD_NAME: pad_gpio_148_io 579
	rtd_maskl(0xB80008B4, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_E22 << 4) | (RTD287O_BGA_19x19_PIN_E22_UP << 3) | (RTD287O_BGA_19x19_PIN_E22_PD << 2) |(RTD287O_BGA_19x19_PIN_E22_DS << 1) | (RTD287O_BGA_19x19_PIN_E22_SR)) << 16));
	if (RTD287O_BGA_19x19_PIN_E22 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: TP1_Data_bit0_src0,<I>,<HS>
	if (RTD287O_BGA_19x19_PIN_E22 == 0x8) { rtd_maskl(0xb80008e0, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 8: SC_DATA_src1,<I/O>
	// PAD_NAME: pad_gpio_149_io 580
	rtd_maskl(0xB80008B4, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_D21 << 4) | (RTD287O_BGA_19x19_PIN_D21_UP << 3) | (RTD287O_BGA_19x19_PIN_D21_PD << 2) |(RTD287O_BGA_19x19_PIN_D21_DS << 1) | (RTD287O_BGA_19x19_PIN_D21_SR)) << 8));
	// PAD_NAME: pad_gpio_150_io 581
	rtd_maskl(0xB80008B4, 0xFFFFFF00, (((RTD287O_BGA_19x19_PIN_D22 << 4) | (RTD287O_BGA_19x19_PIN_D22_UP << 3) | (RTD287O_BGA_19x19_PIN_D22_PD << 2) |(RTD287O_BGA_19x19_PIN_D22_DS << 1) | (RTD287O_BGA_19x19_PIN_D22_SR)) << 0));
	// PAD_NAME: pad_gpio_151_io 582
	rtd_maskl(0xB80008B8, 0x00FFFFFF, (((RTD287O_BGA_19x19_PIN_C21 << 4) | (RTD287O_BGA_19x19_PIN_C21_UP << 3) | (RTD287O_BGA_19x19_PIN_C21_PD << 2) |(RTD287O_BGA_19x19_PIN_C21_DS << 1) | (RTD287O_BGA_19x19_PIN_C21_SR)) << 24));
	if (RTD287O_BGA_19x19_PIN_C21 == 0x8) { rtd_maskl(0xb80008dc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 8: SC_CD_src1,<I>
	// PAD_NAME: pad_gpio_152_io 583
	rtd_maskl(0xB80008B8, 0xFF00FFFF, (((RTD287O_BGA_19x19_PIN_C22 << 4) | (RTD287O_BGA_19x19_PIN_C22_UP << 3) | (RTD287O_BGA_19x19_PIN_C22_PD << 2) |(RTD287O_BGA_19x19_PIN_C22_DS << 1) | (RTD287O_BGA_19x19_PIN_C22_SR)) << 16));
	// PAD_NAME: pad_gpio_153_io 584
	rtd_maskl(0xB80008B8, 0xFFFF00FF, (((RTD287O_BGA_19x19_PIN_B22 << 4) | (RTD287O_BGA_19x19_PIN_B22_UP << 3) | (RTD287O_BGA_19x19_PIN_B22_PD << 2) |(RTD287O_BGA_19x19_PIN_B22_DS << 1) | (RTD287O_BGA_19x19_PIN_B22_SR)) << 8));
	// PAD_NAME: pif_tx11p_apad 980
	rtd_maskl(0xB8000CB0, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_A11) << 28);
	// PAD_NAME: pif_tx11n_apad 981
	rtd_maskl(0xB8000CB0, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_B11) << 24);
	// PAD_NAME: pif_tx10p_apad 982
	rtd_maskl(0xB8000CB0, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_C11) << 20);
	// PAD_NAME: pif_tx10n_apad 983
	rtd_maskl(0xB8000CB0, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_B10) << 16);
	// PAD_NAME: pif_tx9p_apad 984
	rtd_maskl(0xB8000CB0, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_C10) << 12);
	// PAD_NAME: pif_tx9n_apad 985
	rtd_maskl(0xB8000CB0, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_B9) << 8);
	// PAD_NAME: pif_tx8p_apad 990
	rtd_maskl(0xB8000CB0, 0xFFFFFF0F, (RTD287O_BGA_19x19_PIN_A9) << 4);
	// PAD_NAME: pif_tx8n_apad 991
	rtd_maskl(0xB8000CB0, 0xFFFFFFF0, (RTD287O_BGA_19x19_PIN_C9) << 0);
	// PAD_NAME: pif_tx7p_apad 992
	rtd_maskl(0xB8000CB4, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_A8) << 28);
	// PAD_NAME: pif_tx7n_apad 993
	rtd_maskl(0xB8000CB4, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_B8) << 24);
	// PAD_NAME: pif_tx6p_apad 994
	rtd_maskl(0xB8000CB4, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_C8) << 20);
	// PAD_NAME: pif_tx6n_apad 995
	rtd_maskl(0xB8000CB4, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_B7) << 16);
	// PAD_NAME: pif_tx5p_apad 1006
	rtd_maskl(0xB8000CB4, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_C7) << 12);
	// PAD_NAME: pif_tx5n_apad 1007
	rtd_maskl(0xB8000CB4, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_B6) << 8);
	// PAD_NAME: pif_tx4p_apad 1008
	rtd_maskl(0xB8000CB4, 0xFFFFFF0F, (RTD287O_BGA_19x19_PIN_A6) << 4);
	// PAD_NAME: pif_tx4n_apad 1009
	rtd_maskl(0xB8000CB4, 0xFFFFFFF0, (RTD287O_BGA_19x19_PIN_C6) << 0);
	// PAD_NAME: pif_tx3p_apad 1010
	rtd_maskl(0xB8000CB8, 0x0FFFFFFF, (RTD287O_BGA_19x19_PIN_A5) << 28);
	// PAD_NAME: pif_tx3n_apad 1011
	rtd_maskl(0xB8000CB8, 0xF0FFFFFF, (RTD287O_BGA_19x19_PIN_B5) << 24);
	// PAD_NAME: pif_tx2p_apad 1016
	rtd_maskl(0xB8000CB8, 0xFF0FFFFF, (RTD287O_BGA_19x19_PIN_C5) << 20);
	// PAD_NAME: pif_tx2n_apad 1017
	rtd_maskl(0xB8000CB8, 0xFFF0FFFF, (RTD287O_BGA_19x19_PIN_B4) << 16);
	// PAD_NAME: pif_tx1p_apad 1018
	rtd_maskl(0xB8000CB8, 0xFFFF0FFF, (RTD287O_BGA_19x19_PIN_C4) << 12);
	// PAD_NAME: pif_tx1n_apad 1019
	rtd_maskl(0xB8000CB8, 0xFFFFF0FF, (RTD287O_BGA_19x19_PIN_B3) << 8);
	// PAD_NAME: pif_tx0p_apad 1020
	rtd_maskl(0xB8000CB8, 0xFFFFFF0F, (RTD287O_BGA_19x19_PIN_A3) << 4);
	// PAD_NAME: pif_tx0n_apad 1021
	rtd_maskl(0xB8000CB8, 0xFFFFFFF0, (RTD287O_BGA_19x19_PIN_C3) << 0);
} 
