#ifndef __RTK_AMP_INTERFACE_H__
#define __RTK_AMP_INTERFACE_H__

#include "rtk_amp_device_id_table.h"

struct amp_controller {
    int slave_addr;
    void (*ops)(int bus_id, unsigned short addr);
};


void AudioAmp_InitAudioOut2I2S_1st(void);
void AudioAmp_InitAudioOut2I2S_2nd(void);
void rtk_amp_ops_set(int sel);
int   getAmpListLength( void );
const char *getAmpName(unsigned char index );
int   getAmpI2cAddress(unsigned char index );
int   getAmpDeviceId(unsigned char index );

int exeAmpInitFunc(unsigned int deviceId ,unsigned int bus_id, unsigned short addr);
int setAmpInitFunc( unsigned int deviceId , struct amp_controller *amp  );

#endif
