#ifndef __ROKU_DRVPWM_H
#define __ROKU_DRVPWM_H
#include <linux/types.h>
#include <drivers/pwm/pwm.h>

/*
 * All this functions are required to control the PWM used to control the brigtness of the Power LED.
 * PM = Power Mode
 */

//Enable PWM
void PAL_PM_PWM_Enable(void);

//Sets PWM period
void PAL_PM_PWM_Period(u_int periodPWM);

// Sets PWM Duty cycle
void PAL_PM_PWM_DutyCycle(u_int dutyPWM);

// Sets PWM Polarity(normal/inversed)
void PAL_PM_PWM_Polarity(int polarity);

void PAL_PM_PWM_Div(u_char u8DivPWM);

int set_pwm_duty_roku(RTK_PWM_TYPE type, int index, int duty);

int get_pwm_duty_base_change(int duty,int duty_max,int totalcnt);

RTK_PWM_TYPE getPWMPinType(unsigned long long val);
#endif
